# /www/admin/curriculum/element-list.tcl

ad_page_contract {    
    the main admin page for the curriculum system
    autogenerated by the prototype tool and then 
    hacked a bit by 
    
    @author Philip (philg@mit.edu)
    @cvs-id element-list.tcl,v 3.2.2.5 2000/09/22 01:34:39 kevin Exp

} {} 

set body "[ad_admin_header "Curriculum" ]
<h2>Curriculum</h2>

[ad_admin_context_bar "Curriculum"]

<hr>

Documentation:  <a href=\"/doc/curriculum\">/doc/curriculum.html</a>

<h3>How the users are doing</h3>

<blockquote>
<table cellspacing=5>
<tr>
  <th valign=top>Curriculum Elements<br>Completed
  <th valign=top>Number of Users
</tr>
"


set table_rows ""

db_foreach list_users "select nvl(n_rows,0) as n_rows, count(*) as n_users
from users, (select user_id, count(*) as n_rows
             from user_curriculum_map, curriculum
             where user_curriculum_map.curriculum_element_id = curriculum.curriculum_element_id
             group by user_id) user_row_stats
where users.user_id = user_row_stats.user_id(+)
group by nvl(n_rows,0)
order by nvl(n_rows,0) desc" {
    
    append table_rows "<tr>
    <td align=right>$n_rows
    <td align=right><a href=\"/admin/users/action-choose?curriculum_elements_completed=$n_rows\">$n_users</a></tr>\n"
}

append body "$table_rows

</table>
</blockquote>
<h3>All the curriculum elements</h3>
<ul>"

set sql_query  "select element_index, very_very_short_name, one_line_description, curriculum_element_id
from curriculum
order by element_index"


set counter 0
db_foreach list_elements $sql_query {
    incr counter
    append body "<li>$element_index: <a href=\"element-view?[export_url_vars curriculum_element_id]\">$very_very_short_name</a> ($one_line_description)<br>\n"
}

if { $counter == 0 } {
    append body "<li>There are no curriculum elements in the database right now.<p>"
}

append body "<p><li><a href=\"element-add\">Add a curriculum element</a></ul><p>
[ad_admin_footer]"



doc_return  200 text/html $body
